Bug 1198767 - [abrt] gimp: gimpfu.py:88:<module>:NameError: name 'PDB_INT8' is not defined
Summary: [abrt] gimp: gimpfu.py:88:<module>:NameError: name 'PDB_INT8' is not defined
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fa5296b814bb626558e51eee72e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 19:18 UTC by Bill McGonigle
Modified: 2015-12-02 17:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:44:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (7.45 KB, text/plain)
2015-03-04 19:18 UTC, Bill McGonigle
no flags Details

Description Bill McGonigle 2015-03-04 19:18:16 UTC
Description of problem:
first launch after f21 upgrade.  Said it was looking at new plugins.

Version-Release number of selected component:
gimp-2.8.14-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/lib64/gimp/2.0/plug-ins/foggify.py -gimp 12 11 -query 0
executable:     /usr/lib64/gimp/2.0/plug-ins/foggify.py
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Python

Truncated backtrace:
#1 <module> in /usr/lib64/gimp/2.0/python/gimpfu.py:88
#2 <module> in /usr/lib64/gimp/2.0/plug-ins/foggify.py:19

Comment 1 Bill McGonigle 2015-03-04 19:18:17 UTC
Created attachment 998028 [details]
File: backtrace

Comment 2 Bill McGonigle 2015-03-04 19:20:32 UTC
from the console on the next launch:

** (process:15270): WARNING **: `(null)' is not an enum type
Traceback (most recent call last):
  File "/usr/lib64/gimp/2.0/plug-ins/python-console.py", line 19, in <module>
    from gimpfu import *
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 88, in <module>
    PF_INT8        = PDB_INT8
NameError: name 'PDB_INT8' is not defined

(gimp:15136): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
[Invalid UTF-8] \xe83\xfb\xff\xffD\x89\xe0[]A\A]A^\xc3\x0f\x1f\x80
(gimp:15136): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
[Invalid UTF-8] \xe83\xfb\xff\xffD\x89\xe0[]A\A]A^\xc3\x0f\x1f\x80
(gimp:15136): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
[Invalid UTF-8] \xe83\xfb\xff\xffD\x89\xe0[]A\A]A^\xc3\x0f\x1f\x80
(gimp:15136): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
[Invalid UTF-8] \xe83\xfb\xff\xffD\x89\xe0[]A\A]A^\xc3\x0f\x1f\x80


(repeats)

Was fine in f20.

Comment 3 Bill McGonigle 2015-03-04 20:27:28 UTC
removing .gimp* doesn't make a difference, nor does removing existing gimp .pyc files (shot in the dark).

just to check the existing profile, I did:

find ./ -type f -exec ~/bin/check-utf8 {} \;

where check-utf8 is:

#!/bin/bash
TMPFILE=/tmp/utf-8-check-`basename $1`
iconv -c -t UTF-8 < $1 > $TMPFILE
diff $1 $TMPFILE
rm $TMPFILE

and it comes up with no diffs.

I don't see any unpackaged files in the system directories:

$ find /usr/lib64/gimp/2.0 -exec rpm -qf {} \; | sort -u
gimp-2.8.14-1.fc21.x86_64
gimp-devel-2.8.14-1.fc21.x86_64
gimp-help-browser-2.8.14-1.fc21.x86_64
xsane-gimp-0.999-16.fc21.x86_64
$

$  find /usr/share/gimp/2.0 -exec rpm -qf {} \; | sort -u
gimp-2.8.14-1.fc21.x86_64
gimp-data-extras-2.0.2-10.fc21.noarch
gimp-help-2.8.1-2.fc21.noarch
gimp-help-ko-2.8.1-2.fc21.noarch
gimp-help-zh_CN-2.8.1-2.fc21.noarch
$

here's a snip from an strace prior to SIGSEGV:

[pid 16918] open("/usr/lib64/gimp/2.0/plug-ins/sample-colorize", O_RDONLY) = 14
[pid 16918] read(14, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0Q6\0\0\0\0\0\0"..., 4096) = 4096
[pid 16918] close(14)                   = 0
[pid 16918] pipe2([14, 15], 0)          = 0
[pid 16918] clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7f2c661e3c50) = 17727
[pid 16918] close(15)                   = 0
[pid 16918] read(14, Process 17727 attached
 <unfinished ...>
...
[pid 17727] open("/lib64/libgcc_s.so.1", O_RDONLY|O_CLOEXEC) = 3
...
[pid 17727] statfs("/selinux", 0x7fff5e5383f0) = -1 ENOENT (No such file or directory)
[pid 17727] brk(0)                      = 0x7f8596db0000
[pid 17727] brk(0x7f8596dd1000)         = 0x7f8596dd1000
[pid 17727] open("/proc/filesystems", O_RDONLY) = 3
[pid 17727] fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
[pid 17727] mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f859512b000
[pid 17727] read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tr"..., 1024) = 354
[pid 17727] read(3, "", 1024)           = 0
[pid 17727] close(3)                    = 0
[pid 17727] munmap(0x7f859512b000, 4096) = 0
[pid 17727] gettimeofday({1425497425, 96131}, NULL) = 0
[pid 17727] futex(0x7f8591635568, FUTEX_WAKE, 2147483647) = 0
[pid 17727] futex(0x7f8591635568, FUTEX_WAKE, 2147483647) = 0
[pid 17727] open("/usr/lib64/charset.alias", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 17727] write(2, "[Invalid UTF-8] \\xe83\\xfb\\xff\\xf"..., 66[Invalid UTF-8] \xe83\xfb\xff\xffD\x89\xe0[]A\A]A^\xc3\x0f\x1f\x80) = 66
[pid 17727] --- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_ACCERR, si_addr=0x7f8594592ee8} ---
[pid 16918] <... read resumed> "", 4)   = 0
[pid 16918] write(2, "\n(gimp:16918): LibGimpBase-WARNI"..., 69
(gimp:16918): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
) = 69
[pid 16918] nanosleep({0, 10000000},  <unfinished ...>
[pid 17727] +++ killed by SIGSEGV (core dumped) +++
[pid 16918] <... nanosleep resumed> {0, 10026862}) = ? ERESTART_RESTARTBLOCK (Interrupted by signal)
[pid 16918] --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_DUMPED, si_pid=17727, si_uid=1001, si_status=SIGSEGV, si_utime=0, si_stime=2} ---

Comment 4 Bill McGonigle 2015-03-04 21:20:53 UTC
I've got this fixed but I'm not sure why at the moment.

I saw gimpfu.py needed gimpenums.py which was missing - I had already reinstalled gimp\* with yum, but I found on searchcode.com that cinepaint packages gimpenums (made sense given the lineage). So, I installed that and gimp started working.

But rpm says that gimp provides gimpenums.py.  My scrollback buffer confirms that the reinstall succeeded and that I got failures until cinepaint was installed.  rpm says that cinepaint in Fedora does not install gimpenums.py so this does not make sense.  The yum output for installing cinepaint did not drag in anything gimp.   I'll try to look more closely to see what the heck happened.

Comment 5 Fedora End Of Life 2015-11-04 13:19:34 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-12-02 09:44:28 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.